Package Details: pipewire-media-session-git 0.3.23.74.ge2ac16cc-1

Git Clone URL: https://aur.archlinux.org/pipewire-git.git (read-only, click to copy)
Package Base: pipewire-git
Description: Low-latency audio/video router and processor (GIT version) - Session managerm (GIT version)
Upstream URL: https://pipewire.org
Licenses: LGPL
Conflicts: pipewire-media-session
Provides: pipewire-media-session
Submitter: sl1pkn07
Maintainer: sl1pkn07
Last Packager: sl1pkn07
Votes: 8
Popularity: 1.26
First Submitted: 2017-09-19 15:57
Last Updated: 2021-03-12 22:49

Dependencies (24)

Required by (5)

Sources (1)

Latest Comments

1 2 3 4 5 6 ... Next › Last »

kleinph commented on 2021-04-12 17:41

@Strykar as also noted in the comment before: use pipewire-common-git packages. They are properly maintained.

Strykar commented on 2021-04-12 17:26

Tried upgrading after a month, I get:

(398/398) checking keys in keyring                                                                                                                        [###############################################################################################] 100%
(398/398) checking package integrity                                                                                                                      [###############################################################################################] 100%
(398/398) loading package files                                                                                                                           [###############################################################################################] 100%
(398/398) checking for file conflicts                                                                                                                     [###############################################################################################] 100%
error: failed to commit transaction (conflicting files)
pipewire-media-session: /etc/pipewire/media-session.d/alsa-monitor.conf exists in filesystem (owned by pipewire-git)
pipewire-media-session: /etc/pipewire/media-session.d/bluez-monitor.conf exists in filesystem (owned by pipewire-git)
pipewire-media-session: /etc/pipewire/media-session.d/media-session.conf exists in filesystem (owned by pipewire-git)
pipewire-media-session: /etc/pipewire/media-session.d/v4l2-monitor.conf exists in filesystem (owned by pipewire-git)
pipewire-media-session: /usr/bin/pipewire-media-session exists in filesystem (owned by pipewire-git)
Errors occurred, no packages were upgraded.

I'd appreciate any pointers..

kleinph commented on 2021-03-23 09:27

@A.J @tallero this AUR package seems to be poorly maintained. Use pipewire-common-git instead.

tallero commented on 2021-03-21 18:04

MR: (maybe) updated meson options need to be updated

A.J commented on 2021-03-18 03:36

then how to solve the issue ??

kode54 commented on 2021-03-18 02:13

They're user services, not system services. And they're supposed to be enabled automatically on install, and start when you log into your session.

A.J commented on 2021-03-18 00:36

am getting no sound , pactl info : connection refused .

also the systemd services is in /usr/lib/systemd/user , is that the correct location for it ??

yourealwaysbe commented on 2021-03-15 09:14

In case it benefits anyone. After an update on 2021-03-13, i ran into the "no devices detected issue". This was despite having pipewire-media-session running as described in the Arch Wiki.

The source of the error was that i had somehow ended up with the pipewire-media-session package installed, rather than pipewire-media-session-git.

b.vandenheuvel commented on 2021-03-12 22:07

I also needed vulkan-headers to compile.

nloewen commented on 2021-03-11 20:15

These options fix the build.

    -D udevrulesdir=/usr/lib/udev/rules.d \
    -D docs=enabled \
    -D jack=disabled \
    -D gstreamer=disabled \
    -D gstreamer-device-provider=disabled \
    -D ffmpeg=enabled \
    -D libcamera=disabled \